import { VehicleSeat } from "../game";

export default function () {

    var TorqueEntity
    var TorqueValue = 1;
    mp.events.addDataHandler("vehicleAdminSpeed", (entity, newValue) => {
        if (!entity.isAVehicle()) return;
        entity.setEnginePowerMultiplier(newValue);
    });
    mp.events.addDataHandler("vehicleAdminSpeed2", (entity, newValue2) => {
        if (!entity.isAVehicle()) return;
        //entity.setEngineTorqueMultiplier(newValue2);
        TorqueEntity = entity;
        TorqueValue = newValue2;
    });
    /*mp.events.add('render', () => {
        let vehicle = mp.players.local.vehicle;
        vehicle.setEngineTorqueMultiplier(1.5); // Multiplies by 1.5 the engine torque
    });*/
}